## r-cran-argparser 0.6

=== DESCRIPTION ===
Package: argparser
Type: Package
Title: Command-Line Argument Parser
Version: 0.6
Date: 2019-12-16
Author: David J. H. Shih
Maintainer: David J. H. Shih <djh.shih@gmail.com>
Description: Cross-platform command-line argument parser written purely in R
    with no external dependencies. It is useful with the Rscript
    front-end and facilitates turning an R script into an executable script.
URL: https://bitbucket.org/djhshih/argparser
BugReports: https://bitbucket.org/djhshih/argparser/issues
Depends: methods
License: GPL (>= 3)
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2019-12-17 03:17:58 UTC; davids
Repository: CRAN
Date/Publication: 2019-12-17 06:20:03 UTC

=== debian/changelog ===
r-cran-argparser (0.6-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 08:45:09 +0200

r-cran-argparser (0.6-1) unstable; urgency=medium

  * Initial release (closes: #970126)

 -- Steffen Moeller <moeller@debian.org>  Sat, 12 Sep 2020 01:51:15 +0200

=== debian/control ===
Source: r-cran-argparser
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparser
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparser.git
Homepage: https://cran.r-project.org/package=argparser
Rules-Requires-Root: no

Package: r-cran-argparser
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R command-line argument parser
 Cross-platform command-line argument parser written purely in R
 with no external dependencies. It is useful with the Rscript
 front-end and facilitates turning an R script into an executable script.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
	chmod +x ./debian/r-cran-argparser/usr/lib/R/site-library/argparser/demo/*.R

## r-cran-argparser 0.7.1

=== DESCRIPTION ===
Package: argparser
Type: Package
Title: Command-Line Argument Parser
Version: 0.7.1
Date: 2021-03-08
Author: David J. H. Shih
Maintainer: David J. H. Shih <djh.shih@gmail.com>
Description: Cross-platform command-line argument parser written purely in R
    with no external dependencies. It is useful with the Rscript
    front-end and facilitates turning an R script into an executable script.
URL: https://bitbucket.org/djhshih/argparser
BugReports: https://bitbucket.org/djhshih/argparser/issues
Depends: methods
Suggests: testthat (>= 3.0.0)
License: GPL (>= 3)
RoxygenNote: 7.1.1
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2021-03-08 08:36:11 UTC; davids
Repository: CRAN
Date/Publication: 2021-03-08 08:50:02 UTC

=== debian/changelog ===
r-cran-argparser (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 09:22:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparser
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparser.git
 Homepage: https://cran.r-project.org/package=argparser

## r-cran-argparser 0.7.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: argparser
 Type: Package
 Title: Command-Line Argument Parser
-Version: 0.7.1
-Date: 2021-03-08
+Version: 0.7.2
 Author: David J. H. Shih
 Maintainer: David J. H. Shih <djh.shih@gmail.com>
 Description: Cross-platform command-line argument parser written purely in R
@@ -13,9 +12,10 @@
 Depends: methods
 Suggests: testthat (>= 3.0.0)
 License: GPL (>= 3)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
+Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2021-03-08 08:36:11 UTC; davids
+Packaged: 2024-04-03 15:42:34 UTC; davids
 Repository: CRAN
-Date/Publication: 2021-03-08 08:50:02 UTC
+Date/Publication: 2024-04-04 05:03:14 UTC

=== debian/changelog ===
r-cran-argparser (0.7.2-2) unstable; urgency=medium

  * Team upload
  * Install the tests and add a testthat.R so they can be run.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 23 Apr 2025 15:17:56 +0100

r-cran-argparser (0.7.2-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Fix missing Tests field in debian/tests/control.

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 08:46:38 +0900

=== debian/control ===
Source: r-cran-argparser
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-argparser
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-argparser.git
Homepage: https://cran.r-project.org/package=argparser
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-argparser
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R command-line argument parser
 Cross-platform command-line argument parser written purely in R
 with no external dependencies. It is useful with the Rscript
 front-end and facilitates turning an R script into an executable script.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/argparser_([-\d.]*)\.tar\.gz
